org.eclipse.viatra.integration.mwe2.mwe2impl

## Class ForLoop

- java.lang.Object
- - org.eclipse.viatra.integration.mwe2.mwe2impl.Sequence
  - - org.eclipse.viatra.integration.mwe2.mwe2impl.ForLoop

- All Implemented Interfaces:
    ICompositeStep, ITransformationStep

      public class ForLoop
      extends Sequence

  Composite transformation step that implements a 'for' style loop. The number of iterations can either be explicitly specified at compile time, using the iterations attribute, or dynamically calculated by an IIterationNumberProvider.

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.integration.mwe2.mwe2impl.Sequence

      `ctx, step`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForLoop()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()` Defines the added functionality of the ITransformationStep object
    `void` | `setIterationProvider(IIterationNumberProvider provider)` Add a provider
    `void` | `setIterations(java.lang.String maxValue)` Specify the numebr of iteration explicitly

    - ### Methods inherited from class org.eclipse.viatra.integration.mwe2.mwe2impl.Sequence

      `addStep, dispose, getStep, initialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForLoop

          public ForLoop()

  - ### Method Detail

    - #### setIterations

          public void setIterations(java.lang.String maxValue)

      Specify the numebr of iteration explicitly

    - #### setIterationProvider

          public void setIterationProvider(IIterationNumberProvider provider)

      Add a provider

    - #### execute

          public void execute()

      Description copied from interface: `ITransformationStep`
      Defines the added functionality of the ITransformationStep object
      Specified by:
        `execute` in interface `ITransformationStep`
      Overrides:
        `execute` in class `Sequence`